export const SYS_ADMIN_NAME = 'admin';

export const DEFAULT_LABEL = '--';

// 通用 -------------->
// 启用/禁用
export const ENABLE_TYPE = {
  false: '禁用',
  true: '启用',
};

// 基础 -------------->
// 角色
export const ROLE_TYPE = {
  SCANNER: '扫描员',
  COORDINATOR: '科组长',
  REVIEWER: '复核员',
  EVALUATOR: '评卷员',
  ADMIN: '学校管理员',
  SCHOOL: '学校查询员',
  COLLEGE: '学院查询员',
};

export type RoleType = keyof typeof ROLE_TYPE;

// 考试类型
export const EXAM_TYPE = {
  SCAN: '扫描图片类型',
  MULTIMEDIA: '多媒体类型',
};
export type ExamType = keyof typeof EXAM_TYPE;

// 评卷模式：普通、轨迹、不限
export const MARKING_MODE = {
  COMMON: '普通',
  TRACK: '轨迹',
  UNLIMITED: '不限',
};
export type MarkingMode = keyof typeof MARKING_MODE;

// 分数间隔：五分一段、十分一段
export const SCORE_INTERVAL = {
  FIVE: '五分一段',
  TEN: '十分一段',
};
export type ScoreInterval = keyof typeof SCORE_INTERVAL;

// 日志操作类型：查询、新增、更新、删除、导入、导出
export const LOG_TYPE = {
  QUERY: '查询',
  ADD: '新增',
  UPDATE: '更新',
  DELETE: '删除',
  IMPORT: '导入',
  EXPORT: '导出',
};
export type LogType = keyof typeof LOG_TYPE;

// 数据范围模式： 属于 不属于
export const DATA_SCOPE_MODE = {
  BELONG: '属于',
  NOT_BELONG: '不属于',
};
export type DataScopeMode = keyof typeof DATA_SCOPE_MODE;
// 数值范围模式： 大于 小于 等于
export const NUMBER_SCOPE_MODE = {
  GREATER_THAN: '大于',
  LESS_THAN: '小于',
  EQUAL: '等于',
};
export type NumberScopeMode = keyof typeof NUMBER_SCOPE_MODE;
