import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const BASE: AppRouteRecordRaw = {
  path: '/base',
  name: 'base',
  component: DEFAULT_LAYOUT,
  meta: {
    requiresAuth: true,
  },
  children: [
    {
      path: '/user-manage',
      name: 'UserManage',
      component: () => import('@/views/user/UserManage.vue'),
      meta: {
        title: '用户管理',
        requiresAuth: true,
      },
    },
    {
      path: '/student-manage',
      name: 'StudentManage',
      component: () => import('@/views/student/StudentManage.vue'),
      meta: {
        title: '学生管理',
        requiresAuth: true,
      },
    },
    {
      path: '/scan-manage',
      name: 'ScanManage',
      component: () => import('@/views/scan/ScanManage.vue'),
      meta: {
        title: '扫描进度',
        requiresAuth: true,
      },
    },
    {
      path: '/exam-manage',
      name: 'ExamManage',
      component: () => import('@/views/exam/ExamManage.vue'),
      meta: {
        title: '考试管理',
        requiresAuth: true,
      },
    },
    {
      path: '/exam-edit',
      name: 'ExamEdit',
      component: () => import('@/views/exam/ExamEdit.vue'),
      meta: {
        title: '编辑考试',
        requiresAuth: true,
      },
    },
    {
      path: '/reject-manage',
      name: 'RejectManage',
      component: () => import('@/views/reject/RejectManage.vue'),
      meta: {
        title: '打回卷',
        requiresAuth: true,
      },
    },
    {
      path: '/rejcect-record',
      name: 'RejectRecord',
      component: () => import('@/views/reject/RejectRecord.vue'),
      meta: {
        title: '打回记录',
        requiresAuth: true,
      },
    },
    {
      path: 'reject-statistics',
      name: 'RejectStatistics',
      component: () => import('@/views/reject/RejectStatistics.vue'),
      meta: {
        title: '打回统计',
        requiresAuth: true,
      },
    },
    {
      path: '/issue-paper',
      name: 'IssuePaper',
      component: () => import('@/views/issue-paper/IssuePaper.vue'),
      meta: {
        title: '问题试卷',
        requiresAuth: true,
      },
    },
    {
      path: '/score-query',
      name: 'ScoreQuery',
      component: () => import('@/views/score/ScoreQuery.vue'),
      meta: {
        title: '成绩查询',
        requiresAuth: true,
      },
    },
    {
      path: '/analysis-manage',
      name: 'AnalysisManage',
      component: () => import('@/views/analysis/AnalysisManage.vue'),
      meta: {
        title: '科目分析',
        requiresAuth: true,
      },
    },
    {
      path: '/log-manage',
      name: 'LogManage',
      component: () => import('@/views/log/LogManage.vue'),
      meta: {
        title: '操作日志',
        requiresAuth: true,
      },
    },
    {
      path: '/result-check',
      name: 'ResultCheck',
      component: () => import('@/views/check/ResultCheck.vue'),
      meta: {
        title: '识别结果检查',
        requiresAuth: true,
      },
    },
    {
      path: '/image-check',
      name: 'ImageCheck',
      component: () => import('@/views/check/ImageCheck.vue'),
      meta: {
        title: '图片检查',
        requiresAuth: true,
      },
    },
    {
      path: '/manual-confirm',
      name: 'ManualConfirm',
      component: () => import('@/views/check/ManualConfirm.vue'),
      meta: {
        title: '人工确认',
        requiresAuth: true,
      },
    },
  ],
};

export default BASE;
